Package org.kie.internal.task.api.model

## Interface InternalTaskData

- All Superinterfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.TaskData`

      public interface InternalTaskData
      extends org.kie.api.task.model.TaskData

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAttachment​(org.kie.api.task.model.Attachment attachment)` | Adds the specified attachment to our list of Attachments.
    `void` | `addComment​(org.kie.api.task.model.Comment comment)` | Adds the specified comment to our list of comments.
    `AccessType` | `getDocumentAccessType()` |
    `AccessType` | `getFaultAccessType()` |
    `AccessType` | `getOutputAccessType()` |
    `long` | `getParentId()` |
    `org.kie.api.task.model.Status` | `initialize()` | Initializes the state of the TaskData, i.e. sets the createdOn, activationTime and sets the state to `Status.Created`.
    `org.kie.api.task.model.Attachment` | `removeAttachment​(long attachmentId)` | Removes the Attachment specified by the attachmentId.
    `org.kie.api.task.model.Comment` | `removeComment​(long commentId)` | Removes the Comment specified by the commentId.
    `void` | `setActivationTime​(Date activationTime)` |
    `void` | `setActualOwner​(org.kie.api.task.model.User actualOwner)` |
    `void` | `setAttachments​(List<org.kie.api.task.model.Attachment> attachments)` |
    `void` | `setComments​(List<org.kie.api.task.model.Comment> comments)` |
    `void` | `setCreatedBy​(org.kie.api.task.model.User createdBy)` |
    `void` | `setCreatedOn​(Date createdOn)` |
    `void` | `setDeploymentId​(String deploymentId)` |
    `void` | `setDocument​(long documentID, ContentData documentConentData)` | Sets the document content data for this task data.
    `void` | `setDocumentAccessType​(AccessType accessType)` |
    `void` | `setDocumentContentId​(long documentContentId)` |
    `void` | `setDocumentType​(String documentType)` |
    `void` | `setExpirationTime​(Date expirationTime)` |
    `void` | `setFault​(long faultContentId, FaultData faultData)` | Sets the fault data for this task data.
    `void` | `setFaultAccessType​(AccessType faultAccessType)` |
    `void` | `setFaultContentId​(long faultContentId)` |
    `void` | `setFaultName​(String faultName)` |
    `void` | `setFaultType​(String faultType)` |
    `void` | `setOutput​(long outputContentId, ContentData outputContentData)` | Sets the content data for this task data.
    `void` | `setOutputAccessType​(AccessType outputAccessType)` |
    `void` | `setOutputContentId​(long outputContentId)` |
    `void` | `setOutputType​(String outputType)` |
    `void` | `setParentId​(long parentId)` |
    `void` | `setPreviousStatus​(org.kie.api.task.model.Status previousStatus)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `void` | `setProcessSessionId​(long processSessionId)` |
    `void` | `setSkipable​(boolean isSkipable)` |
    `void` | `setStatus​(org.kie.api.task.model.Status status)` |
    `void` | `setTaskInputVariables​(Map<String,​Object> taskInputVariables)` |
    `void` | `setTaskOutputVariables​(Map<String,​Object> taskOutputVariables)` |
    `void` | `setWorkItemId​(long workItemId)` |

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

    - ### Methods inherited from interface org.kie.api.task.model.TaskData

      `getActivationTime, getActualOwner, getAttachments, getComments, getCreatedBy, getCreatedOn, getDeploymentId, getDocumentContentId, getDocumentType, getExpirationTime, getFaultContentId, getFaultName, getFaultType, getOutputContentId, getOutputType, getPreviousStatus, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskInputVariables, getTaskOutputVariables, getWorkItemId, isSkipable`

- - ### Method Detail

    - #### initialize

          org.kie.api.task.model.Status initialize()

      Initializes the state of the TaskData, i.e. sets the createdOn, activationTime and sets the state to `Status.Created`.
      Returns:
        returns the current state of the TaskData

    - #### setStatus

          void setStatus​(org.kie.api.task.model.Status status)

    - #### setPreviousStatus

          void setPreviousStatus​(org.kie.api.task.model.Status previousStatus)

    - #### setActualOwner

          void setActualOwner​(org.kie.api.task.model.User actualOwner)

    - #### setCreatedBy

          void setCreatedBy​(org.kie.api.task.model.User createdBy)

    - #### setCreatedOn

          void setCreatedOn​(Date createdOn)

    - #### setActivationTime

          void setActivationTime​(Date activationTime)

    - #### setExpirationTime

          void setExpirationTime​(Date expirationTime)

    - #### setSkipable

          void setSkipable​(boolean isSkipable)

    - #### setWorkItemId

          void setWorkItemId​(long workItemId)

    - #### setProcessInstanceId

          void setProcessInstanceId​(long processInstanceId)

    - #### setProcessId

          void setProcessId​(String processId)

    - #### setDeploymentId

          void setDeploymentId​(String deploymentId)

    - #### setProcessSessionId

          void setProcessSessionId​(long processSessionId)

    - #### setDocument

          void setDocument​(long documentID,
                           ContentData documentConentData)

      Sets the document content data for this task data. It will set the documentContentId from the specified documentID, documentAccessType, documentType from the specified documentConentData.
      Parameters:
        `documentID` - id of document content
        `documentConentData` - ContentData

    - #### getDocumentAccessType

          AccessType getDocumentAccessType()

    - #### setDocumentAccessType

          void setDocumentAccessType​(AccessType accessType)

    - #### setDocumentContentId

          void setDocumentContentId​(long documentContentId)

    - #### setDocumentType

          void setDocumentType​(String documentType)

    - #### setOutput

          void setOutput​(long outputContentId,
                         ContentData outputContentData)

      Sets the content data for this task data. It will set the outputContentId from the specified outputContentId, outputAccessType, outputType from the specified outputContentData.
      Parameters:
        `outputContentId` - id of output content
        `outputContentData` - contentData

    - #### getOutputAccessType

          AccessType getOutputAccessType()

    - #### setOutputAccessType

          void setOutputAccessType​(AccessType outputAccessType)

    - #### setOutputType

          void setOutputType​(String outputType)

    - #### setOutputContentId

          void setOutputContentId​(long outputContentId)

    - #### setFault

          void setFault​(long faultContentId,
                        FaultData faultData)

      Sets the fault data for this task data. It will set the faultContentId from the specified faultContentId, faultAccessType, faultType, faultName from the specified faultData.
      Parameters:
        `faultContentId` - id of fault content
        `faultData` - FaultData

    - #### setFaultName

          void setFaultName​(String faultName)

    - #### getFaultAccessType

          AccessType getFaultAccessType()

    - #### setFaultAccessType

          void setFaultAccessType​(AccessType faultAccessType)

    - #### setFaultType

          void setFaultType​(String faultType)

    - #### setFaultContentId

          void setFaultContentId​(long faultContentId)

    - #### addComment

          void addComment​(org.kie.api.task.model.Comment comment)

      Adds the specified comment to our list of comments.
      Parameters:
        `comment` - comment to add

    - #### removeComment

          org.kie.api.task.model.Comment removeComment​(long commentId)

      Removes the Comment specified by the commentId.
      Parameters:
        `commentId` - id of Comment to remove
      Returns:
        removed Comment or null if one was not found with the id

    - #### setComments

          void setComments​(List<org.kie.api.task.model.Comment> comments)

    - #### addAttachment

          void addAttachment​(org.kie.api.task.model.Attachment attachment)

      Adds the specified attachment to our list of Attachments.
      Parameters:
        `attachment` - attachment to add

    - #### removeAttachment

          org.kie.api.task.model.Attachment removeAttachment​(long attachmentId)

      Removes the Attachment specified by the attachmentId.
      Parameters:
        `attachmentId` - id of attachment to remove
      Returns:
        removed Attachment or null if one was not found with the id

    - #### setAttachments

          void setAttachments​(List<org.kie.api.task.model.Attachment> attachments)

    - #### getParentId

          long getParentId()

      Specified by:
        `getParentId` in interface `org.kie.api.task.model.TaskData`

    - #### setParentId

          void setParentId​(long parentId)

    - #### setTaskInputVariables

          void setTaskInputVariables​(Map<String,​Object> taskInputVariables)

    - #### setTaskOutputVariables

          void setTaskOutputVariables​(Map<String,​Object> taskOutputVariables)